## Text Encoding Initiative

### The XML Version of the TEI Guidelines

# TEIform

`TEIform` | (TEI name form) defines an attribute (`TEIform`) common to all tags in the TEI scheme, and recommended for all user-defined extensions.
Member of classes | (none)
Members |

Declaration

    <!ENTITY % a.TEIform '
          TEIform NAME #IMPLIED'>

Attributes

(In addition to global attributes)

`TEIform` | (TEI form of generic identifier) indicates the standard TEI name (generic identifier) for a given element.
| Datatype: NAME
| Values: must be a valid name; by default, the canonical name of this element as defined in the TEI Guidelines.
| Default: #IMPLIED

Example:

    <fn TEIform="note">This is a footnote; its tag uses a non-standard
      name defined by the user; the attribute TEIform indicates that
      the normal TEI name for the element is NOTE.</fn>

Note

In the TEI DTDs, the default value for this attribute is always the same as the generic identifier of the element. If an element is renamed using the techniques described in chapter 29 Modifying and Customizing the TEI DTD, the attribute declaration for `TEIform` will be left undisturbed; the default value will thus still be the standard TEI name for the element. TEI-aware application programs can thus process TEI-conformant documents which rename TEI elements, since by consulting the `TEIform` attribute value the application can learn the standard name for the element and process it accordingly.

In the normal course of events, this attribute will never be specified in a TEI-conformant document; all occurrences will have the default value. In some special circumstances, it can be useful to specify a non-default value on some instances of an element; this allows application programs to process correctly a locally defined element which usually corresponds to one TEI element (which would be expressed by the default value) but sometimes to another TEI element (which would be expressed by explicit values attached to the element instance).

Note

The attribute `TEIform`, though common to all tags in the TEI encoding scheme, is not defined as part of the global class for technical reasons. Since its default value must be specified separately for each element type, no elements actually inherit the attribute from the element class TEIform; each defines the attribute separately.

Module Core tag sets: enabled when any TEI base is enabled
See further 3.5 Global Attributes

Up: 33 Element Classes